Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hyperion.css
Class CSSSystem

    java.lang.Object
      |
      +--com.hyperion.css.CSSSystem

public class CSSSystem
extends java.lang.Object

This is a class designed for providing access to the security platform and the various components.

It is a Singleton. Provides access to internal components such as the configuration manager and the update manager.

Since:
  CSSv1.0

Method Summary
`static com.hyperion.css.common.configuration.CSSConfigurationManager` | `getConfigurationManager()` Return the Configuration Manager.
`com.hyperion.css.CSSAPIIF` | `getCSSAPI()` Returns the entry point to the security platform API.
`com.hyperion.css.util.updateRelease.CSSUpdateUtilityIF` | `getCSSUpdateUtility(java.util.Map context, java.net.URL configLocation)` Internal use only.
`static com.hyperion.css.CSSSystem` | `getInstance()` The method that provides for accessing a Configuration Manager instance.
`static java.lang.String` | `restoreToken(java.util.Map context, java.lang.String token)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCSSAPI

    public com.hyperion.css.CSSAPIIF getCSSAPI()

  Returns the entry point to the security platform API.

  Returns:
    CSSAPIIF

### getConfigurationManager

    public static com.hyperion.css.common.configuration.CSSConfigurationManager getConfigurationManager()

  Return the Configuration Manager.

  Returns:
    CSSConfigurationManager

### getInstance

    public static com.hyperion.css.CSSSystem getInstance()

  The method that provides for accessing a Configuration Manager instance.

  Returns:
    CSSSystem

### getCSSUpdateUtility

    public com.hyperion.css.util.updateRelease.CSSUpdateUtilityIF getCSSUpdateUtility(java.util.Map context,
                                                                                      java.net.URL configLocation)
                                                                               throws CSSConfigurationException,
                                                                                      CSSIllegalArgumentException,
                                                                                      CSSException

  Internal use only. Gets the handle to the update utility that can be used to move the `identities` to the current release and to update the configuration.

  Parameters:
    `context` - Map structure holding key-value information about locale.
    `configLocation` - the location of the xml-based configuration for the current release. If this parameter is `null` then the resulting `CSSUpdateUtilityIF` implementation would not be capable of updating the identities. But it can be used to update the configuration to the current release. To update the identities you would need to pass in a valid URL for the xml-based configuration.
  Returns:
    CSSUpdateUtilityIF
  Throws:
    `CSSConfigurationException`
    `CSSIllegalArgumentException`
    `CSSException`

### restoreToken

    public static java.lang.String restoreToken(java.util.Map context,
                                                java.lang.String token)
                                         throws CSSException

    `CSSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD